#!/bin/sh

PATH=/bin:/usr/bin:/sbin:/usr/sbin
. /usr/lib/libmodcgi.sh

auto_chk=''; man_chk=''
if [ "$SYSLOGD_ENABLED" = "yes" ]; then auto_chk=' checked'; else man_chk=' checked'; fi

circular_buffer_chk=''network_chk='' local_chk='';
case "$SYSLOGD_LOGGING" in
	circular_buffer) circular_buffer_chk=' checked' ;;
	network) network_chk=' checked' ;;
	local) local_chk=' checked' ;;
esac

sec_begin 'Starttyp'

cat << EOF
<p>
<input id="e1" type="radio" name="enabled" value="yes"$auto_chk><label for="e1"> Automatisch</label>
<input id="e2" type="radio" name="enabled" value="no"$man_chk><label for="e2"> Manuell</label>
</p>
EOF

sec_end
sec_begin 'Anzeigen'

cat << EOF
<ul>
<li><a href="/cgi-bin/extras.cgi/syslogd/log">Logdatei/Ringpuffer</a></li>
<li><a href="/cgi-bin/extras.cgi/syslogd/help">Hilfe</a></li>
</ul>
EOF
sec_end
sec_begin 'Optionen'

cat << EOF
<h2><input id="r1" type="radio" name="logging" value="network"$network_chk><label for="a1"> &Uuml;ber Netzwerk loggen</label></h2>
<p>Host: <input type="text" name="host" size="20" maxlength="20" value="$(httpd -e "$SYSLOGD_HOST")"> Port: <input type="text" name="port" size="5" maxlength="6" value="$(httpd -e "$SYSLOGD_PORT")"> </p>
<h2><input id="r2" type="radio" name="logging" value="local"$local_chk><label for="a2"> Lokal und &uuml;ber Netzwerk loggen</label></h2>
<p>alternatives Logfile: <input type="text" name="alternative_logfile" size="30" maxlength="255" value="$(httpd -e "$SYSLOGD_ALTERNATIVE_LOGFILE")"></p>
<p>Logfiles rotieren: </p>
<p>maximale Logfilegr&ouml;sse (in KB): <input type="text" name="maxsize" size="6" maxlength="6" value="$(httpd -e "$SYSLOGD_MAXSIZE")"> Anzahl Logdateien: <input type="text" name="maxfiles" size="5" maxlength="5" value="$(httpd -e "$SYSLOGD_MAXFILES")"></p>
<h2><input id="r3" type="radio" name="logging" value="circular_buffer"$circular_buffer_chk><label for="a3"> In Ringpuffer loggen</label></h2>
<p>Puffer-Gr&ouml;sse (in KB): <input type="text" name="buffer_maxsize" size="10" maxlength="255" value="$(httpd -e "$SYSLOGD_BUFFER_MAXSIZE")"></p>
<h2>Zus&auml;tzliche Kommandozeilen-Optionen (f&uuml;r Experten):</h2>
<p>Optionen: <input type="text" name="options" size="20" maxlength="255" value="$(httpd -e "$SYSLOGD_OPTIONS")"></p>

EOF

sec_end
