#!/bin/sh

PATH=/bin:/usr/bin:/sbin:/usr/sbin
. /usr/lib/libmodcgi.sh

. /mod/etc/conf/syslogd.cfg

cgi_begin 'Syslog' 'syslog'


if [ "$SYSLOGD_LOGGING" = "circular_buffer" ]; then
	echo '<h1>Ringpuffer</h1>'
	echo -n '<textarea style="width: 500px;" name="content" rows="20" cols="10" wrap="off" readonly>'
	httpd -e "$(logread)"
	echo -n '</textarea>'
else if [ "$SYSLOGD_LOGGING" = "local" ]; then
	if [ -e "$SYSLOGD_ALTERNATIVE_LOGFILE" ]; then
    	    echo "<h1>$SYSLOGD_ALTERNATIVE_LOGFILE</h1>"
    	    echo -n '<textarea style="width: 500px;" name="content" rows="20" cols="10" wrap="off" readonly>'
	    httpd -e "$(cat $SYSLOGD_ALTERNATIVE_LOGFILE)"
	    echo -n '</textarea>'	    
	else
	    if [ -e "/var/log/messages" ]; then
		echo '<h1>/var/log/messages</h1>'
                echo -n '<textarea style="width: 500px;" name="content" rows="20" cols="10" wrap="off" readonly>'
		httpd -e "$(cat /var/log/messages)"
	    	echo -n '</textarea>'
	    fi
	fi
    fi
fi

cat <<EOF
<form class="btn" action="/cgi-bin/pkgconf.cgi" method="get">
<input type="hidden" name="pkg" value="syslogd">
<div class="btn"><input type="submit" value="Zur&uuml;ck"></div>
</form>
EOF

cgi_end
